Name:		nanovna-saver
Version:	0.2.2
Release:	1%{?dist}
Summary:	A tool for reading, displaying and saving data from the NanoVNA
License:	GPLv3
URL:		https://github.com/mihtjel/%{name}
Source0:	%{URL}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-setuptools
BuildRequires:	python3-devel
BuildRequires:	python3-pyserial
BuildRequires:	python3-numpy
BuildRequires:	python3-scipy
BuildRequires:	python3-qt5

%description
A multiplatform tool to save Touchstone files from the NanoVNA, sweep
frequency spans in segments to gain more than 101 data points, and
generally display and analyze the resulting data.

%prep
%setup -q

%build
%py3_build

%install
%py3_install
# drop tests, we do not need it, do not use rm -rf
cd %{buildroot}%{python3_sitelib}
rm -f test/__pycache__/*
rmdir test/__pycache__
rm -f test/*
rmdir test

%files
%license LICENSE
%doc README.md
%{_bindir}/NanoVNASaver
%{python3_sitelib}/NanoVNASaver
%{python3_sitelib}/NanoVNASaver-%{version}-py?.?.egg-info

%changelog
* Wed Feb  5 2020 Jaroslav Škarvada <jskarvad@redhat.com> - 0.2.2-1
- Initial version
